| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
func_matrix.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL T | determinant (matType< T, P > const &m)
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL matType< T, P > | inverse (matType< T, P > const &m)
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL matType< T, P > | matrixCompMult (matType< T, P > const &x, matType< T, P > const &y)
template<typename T , precision P, template< typename, precision > class vecTypeA, template< typename, precision > class vecTypeB>
GLM_FUNC_DECL detail::outerProduct_trait< T, P, vecTypeA, vecTypeB >::type | outerProduct (vecTypeA< T, P > const &c, vecTypeB< T, P > const &r)

## Detailed Description

GLM Core

See also
  GLSL 4.20.8 specification, section 8.6 Matrix Functions

Definition in file func_matrix.hpp.